Ubuntu

Please mark alsa-base as Multi-Arch: foreign

Reported by Mark Russell on 2013-02-15
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

[Impact]
Marking alsa-base as M-A: foreign will allow i386 packages that depend on alsa-base to install on a amd64 system. Since alsa interfaces are architecture independent, foreign seems like the correct marking.

$ sudo apt-get install my-32-bit-app
my-32-bit-app:i386 : PreDepends: alsa-base:i386 but it is not installable

[Test Case]
Install a 32-bit package that depends or pre-depends on alsa-base and have it properly install.

[Regression Potential]
Minimal as this change on affects multi-arch status only.

Mark Russell (marrusl) wrote :

I believe this change is already in the packaging branches for raring. I'll post debdiffs for quantal and precise SRUs soon.

Mark Russell (marrusl) on 2013-02-15
tags: added: precise quantal raring
Mark Russell (marrusl) wrote :

@themuso already merged this change in for raring. Here is a debdiff for quantal.

Thanks!

Mark Russell (marrusl) wrote :

and for precise.

The attachment "alsa-driver.quantal.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Colin Watson (cjwatson) wrote :

alsa-driver (1.0.25+dfsg-0ubuntu4) raring; urgency=low

  * debian/control: Update Vcs-Bzr field
  * Mark alsa-base as Multi-Arch foreign

 -- Luke Yelavich <email address hidden> Thu, 14 Feb 2013 09:16:50 +1100

affects: alsa-base (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
status: New → Fix Released

Hello Mark, or anyone else affected,

Accepted alsa-driver into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/alsa-driver/1.0.25+dfsg-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in alsa-driver (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Changed in alsa-driver (Ubuntu Quantal):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Mark, or anyone else affected,

Accepted alsa-driver into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/alsa-driver/1.0.25+dfsg-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) on 2013-02-27
tags: added: verification-needed-precise verification-needed-quantal
removed: verification-needed
Mark Russell (marrusl) wrote :

Looks good. Tested on both P and Q. Thanks!

tags: added: verification-done-precise verification-done-quantal
removed: verification-needed-precise verification-needed-quantal

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-driver - 1.0.25+dfsg-0ubuntu3.1

---------------
alsa-driver (1.0.25+dfsg-0ubuntu3.1) quantal-proposed; urgency=low

  * Add alsa-base Multi-Arch: foreign (LP: #1126558)
 -- Mark Russell <email address hidden> Thu, 21 Feb 2013 13:58:27 -0500

Changed in alsa-driver (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-driver - 1.0.25+dfsg-0ubuntu1.1

---------------
alsa-driver (1.0.25+dfsg-0ubuntu1.1) precise-proposed; urgency=low

  * Mark alsa-base Multi-Arch: foreign (LP: #1126558)
 -- Mark Russell <email address hidden> Thu, 21 Feb 2013 14:07:41 -0500

Changed in alsa-driver (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers